<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="ointroduccionprototipos.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	/* Vamos a crear una clase padre */

	const Persona=function(){
		// propiedad privada
		let nombre;
		// metodos publicos
		this.dormir=function(){
			console.log("ZZZZZZZZZZZZ");
		};
		
		this.hablar=function(){
			console.log("BLA BLA BLA");
		};
		
		this.contar=function(){
			console.log("1 2 3 4 5 6");
		};
		
		this.setNombre=function(valor){
			nombre=valor;
		};
		
		this.getNombre=function(){
			return nombre;
		};
	};
	
	/* Vamos a crear una clase hija */
	
	const Hija=function(){
		this.atributoHijo=18;
	};
	
	// para que Hija herede todo lo de Persona
	Hija.prototype=new Persona();
	
	/* vamos a crear un objeto desde la clase hija */
	
	var Ana=new Hija();
	
	/* Vamos a crear un objeto desde la clase padre */
	
	var Ramon=new Persona();
	
	console.log(Ana.atributoHijo);
	console.log(Ana);
	console.log(Ramon);
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejemplo prototipos
</div>
<div class="explicacion">
	Mediante este ejemplo vamos a darnos cuenta como utilizamos los prototipos de Javascript para la herencia de objetos.
</div>
</div>
</body>
</html>
